Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create slack install

POST/workspaces/{organizationId}/slack/install
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Slack OAuth install URL

urlstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://pile.nyc/workspaces/string/slack/install' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "url": "string"
}

Was this page helpful?